curl --request GET \
--url https://app.leadconduit.com/fields \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/fields"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "first_name",
"name": "First Name",
"type": "boolean",
"description": "<string>",
"standard": true,
"aggregate": true,
"deprecated": true,
"see": "5fd4371e940df5a34a3888b2",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"error": "not authorized"
}List all fields
Get the list of all fields, including all standard and custom fields.
Optionally, provide a flow_id query parameter to return only the fields
referenced by a specific flow.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Query Parameters
Optional ID of a flow. When provided, only fields referenced by that flow are returned. 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
The required alphanumeric identifier of the field. Custom fields have an account-specific suffix (e.g. '_acme')
"first_name"
"last_name"
"email"
"phone_1"
The human-readable name of the field
"First Name"
"Last Name"
"Email"
"Phone 1"
The textual description of the purpose of this field
Read-only flag indicating whether this is a built-in LeadConduit field
The flag indicating that this field should no longer be used
The alternative field ID to be used instead of this deprecated field
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Read-only time the field was created
Read-only time the field was last updated